# Health Facility Details

| **API URL**     | {{url}}/admin-service/healthfacility/details |
| --------------- | -------------------------------------------- |
| **Method**      | POST                                         |
| **Description** | Get the healthfacility details by id         |

#### **Sample Input** <a href="#healthfacilitydetails-v2-sampleinput" id="healthfacilitydetails-v2-sampleinput"></a>

| **Field Name**         | **Type** | **Mandatory** | **Example**                                                                                                                             |
| ---------------------- | -------- | ------------- | --------------------------------------------------------------------------------------------------------------------------------------- |
| appType                | String   | Yes           | COMMUNITY                                                                                                                               |
| tenantId               | Bigint   | No            | Tenant Id                                                                                                                               |
| id                     | Bigint   | Yes           | Health Facility Id                                                                                                                      |
| Authorization (Header) | String   | Yes           | Bearer 1ba363a1edf54402b51f58060aa52b11d30f99a490295adec900fdabf2b472181c0bfb165be18f4f5c430c7218a244bd29b9300d3471acc08197ccfb996118f6 |
| client                 | String   | Yes           | web                                                                                                                                     |

```
{
  appTypes: ["COMMUNITY"], 
  tenantId: 2, 
  id: 1
}
```

#### **Sample Output** <a href="#healthfacilitydetails-v2-sampleoutput" id="healthfacilitydetails-v2-sampleoutput"></a>

| **Field Name**       | **Type** | **Comments**                          |
| -------------------- | -------- | ------------------------------------- |
| message              | String   | Health facility fetched successfully. |
| status               | String   | Entity status                         |
| entityList           | String   | Entity List                           |
| id                   | Bigint   | Medication id                         |
| name                 | String   | Health facility Name                  |
| type                 | String   | Community Health Post                 |
| phuFocalPersonName   | String   | Phu Focal Person Name                 |
| phuFocalPersonNumber | String   | Phu Focal Person Number               |
| address              | String   | Health facility address               |
| chiefdom             | String   | List of chiefdom details              |
| district             | String   | List of district details              |
| cityName             | String   | City Name                             |
| latitude             | Double   | Location details                      |
| longitude            | Double   | longitude details                     |
| postalCode           | Bigint   | Postal Code of Health facility        |
| language             | String   | “English“                             |
| linkedVillages       | String   | List of linked Villages               |
| tenantId             | Bigint   | Tenant Id                             |
| fhirId               | Bigint   | Fhir Id for user                      |
| clinicalWorkflows    | String   | ClinicalWorkflows                     |
| customizedWorkflows  | String   | CustomizedWorkflows                   |

```
{
  "message": "Health facility fetched successfully.",
  "entity": {
      "id": 324,
      "name": "Prem Health Care",
      "type": "Community Health Centre",
      "phuFocalPersonName": "Prem",
      "phuFocalPersonNumber": "9944077834",
      "address": "Chennai",
      "chiefdom": {
      },
      "district": {
      },
      "cityName": "New Mavoor",
      "latitude": "11",
      "longitude": "22",
      "postalCode": "112233",
      "language": "English",
      "linkedVillages": [
          ],
      "tenantId": 2,
      "fhirId": "1",
      "clinicalWorkflows": [
          
      ],
      "customizedWorkflows": [],
      "peerSupervisors": [
          
      ],
      "culture": null
  },
  "status": true,
  "entityList": null,
  "responseCode": 200,
  "totalCount": null
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://spice.docs.medtroniclabs.org/engineering/api-documentation/admin-services/health-facility/health-facility-details.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
